From 129159080e0feedea392be590f6d185f262b2151 Mon Sep 17 00:00:00 2001
From: Sebastien Zwickert <dilaroga@free.fr>
Date: Sun, 4 Jul 2010 05:06:07 +0200
Subject: [PATCH 3/5] Removes the remaining colon at the end of the string list.

---
 src/audio_output/aout_internal.h |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

diff --git a/src/audio_output/aout_internal.h b/src/audio_output/aout_internal.h
index 7a36b37..50063b9 100644
--- a/src/audio_output/aout_internal.h
+++ b/src/audio_output/aout_internal.h
@@ -321,6 +321,9 @@ static inline bool AoutChangeFilterString( vlc_object_t *p_obj, aout_instance_t
             psz_next++;
 
         memmove( psz_parser, psz_next, strlen(psz_next)+1 );
+        
+		if( *( psz_parser+strlen( psz_parser ) -1 ) == ':' )
+			*( psz_parser+strlen( psz_parser ) -1 ) = '\0';
     }
 
     if( p_aout )
-- 
1.6.1.3

